server.port=8877
#tomcat\u6700\u5927\u7EBF\u7A0B\u6570\uFF0C\u9ED8\u8BA4\u4E3A200
server.tomcat.threads.max=2500
#tomcat\u6700\u5927\u8FDE\u63A5\u6570
server.tomcat.max-connections=2500
#tomcat\u7684URI\u7F16\u7801
server.tomcat.uri-encoding=UTF-8

#\u9879\u76EE\u540D\u79F0
spring.application.name=teachcloud-report

#\u6570\u636E\u6E90\u914D\u7F6E
db.host=rm-wz9s1kch755798kt6.mysql.rds.aliyuncs.com
db.port=3306
db.name=wdu
db.username=wdfx
db.password=qmth_wdfx

#redis\u6570\u636E\u6E90\u914D\u7F6E
com.qmth.redis.host=qmth-redis2.redis.rds.aliyuncs.com
com.qmth.redis.db=9
com.qmth.redis.port=6379
com.qmth.redis.password=wdfx_redis:Wdfx_redis

#mysql\u914D\u7F6E
com.qmth.mysql.url=jdbc:mysql://${db.host}:${db.port}/${db.name}?serverTimezone=Asia/Shanghai&useUnicode=true&characterEncoding=UTF-8
com.qmth.mysql.username=${db.username}
com.qmth.mysql.password=${db.password}
com.qmth.mysql.min-idle=40
com.qmth.mysql.max-pool-size=200
com.qmth.mysql.log-level=debug

#\u963F\u91CC\u4E91OSS\u914D\u7F6E
aliyun.oss.name=oss-cn-shenzhen.aliyuncs.com
aliyun.oss.endpoint=http://${aliyun.oss.name}
aliyun.oss.accessKeyId=LTAI4Fi8jVRYT49QBXU9x5QX
aliyun.oss.accessKeySecret=97aBLBfkQR5mzCiQa82yWLAH57eUd8
aliyun.oss.bucket=teachcloud-whu-prod
aliyun.oss.url=http://${aliyun.oss.bucket}.${aliyun.oss.name}

#\u7CFB\u7EDF\u914D\u7F6E
sys.config.oss=true
sys.config.attachmentType=.xlsx,.xls,.doc,.docx,.pdf,.jpg,.jpeg,.png,.html,.zip,.mp3,.wav,.dll,.exe,.ftl
sys.config.attachmentLength=100
sys.config.attachmentSize=200
sys.config.serverUpload=
sys.config.fileHost=localhost:8877
sys.config.serverHost=localhost:8877
sys.config.accessKey=
sys.config.accessSecret=
#sys.config.accessKey=fb19fcd10beb4da9aae52839b74bc144
#sys.config.accessSecret=8XafgoK0Tb6gCvIspAfYieJpjYsX42K9
sys.config.adminLogoUrl=http://qmth-test.oss-cn-shenzhen.aliyuncs.com/frontend/wx_logo.png
#sys.config.htmlToPdfUrl=/usr/local/bin/wkhtmltopdf
#sys.config.htmlToPdfUrl=/usr/local/bin/wkhtmltopdf
#sys.config.autoCreatePdfResetMaxCount=5
sys.config.threadPoolCoreSize=1
sys.config.customThreadPoolCoreSize=true
sys.config.sessionActive=1h
sys.config.reportUrl=https://wdfx.qmth.com.cn/#/student-report/
sys.config.loginAuthenUrl=https://wdfx.qmth.com.cn/#/login-authen/
spring.resources.static-locations=file:${sys.config.serverUpload},classpath:/META-INF/resources/,classpath:/resources/

org.center.url=https://solar.qmth.com.cn
org.center.orgQueryApi=/api/open/org/query

#com.qmth.api.uri-prefix=/aaa
#\u7EDF\u8BA1\u9875\u9762\u914D\u7F6E
com.qmth.api.metrics-endpoint=/metrics-count
com.qmth.api.global-auth=true
#com.qmth.api.global-strict=false
#com.qmth.api.global-rate-limit=1/5s

#token\u8D85\u65F6\u914D\u7F6E
com.qmth.auth.time-max-ahead=1m
com.qmth.auth.time-max-delay=5m

#\u7F13\u5B58\u65F6\u95F4
com.qmth.cache.expire-after-write=8h

#\u65E5\u671F\u683C\u5F0F\u5316
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8

#api\u524D\u7F00
prefix.url.common=admin/common
prefix.url.sys=admin/sys
prefix.url.basic=admin/basic
prefix.url.exam=admin/exam
prefix.url.data=admin/data
prefix.url.reportWuda=report/wuda/open
prefix.url.reportSchool=report/school
prefix.url.reportCourse=report/course
prefix.url.reportExamStudent=report/exam_student
prefix.url.datasource=report/datasource
prefix.url.analyze=report/analyze

#\u65E5\u5FD7\u914D\u7F6E
com.qmth.logging.root-level=info
com.qmth.logging.file-path=./logs/teachcloud-report.log

#\u5F15\u5165task\u914D\u7F6E\u6587\u4EF6
spring.profiles.include=task

sms.config.smsNormalCode=qmth
sms.config.codeExpiredTime=2
sms.config.codeSendInterval=60
#aliyun SMS key
sms.config.aliyunSMSKey=LTAI4Fi8jVRYT49QBXU9x5QX
#aliyun SMS secret
sms.config.aliyunSMSSecret=97aBLBfkQR5mzCiQa82yWLAH57eUd8
sms.config.aliyunSMSSignName=\u9038\u6559\u4E91
sms.config.aliyunSMSTplCode=SMS_147416565
sms.config.aliyunSMSAuditPassCode=SMS_216425141
sms.config.aliyunSMSAuditNotPassCode=SMS_216275156
#\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSExamTaskCreatedCode=SMS_217436292
#\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uCD7D\uFFFD\uFFFD\u0524\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSExamTaskWillExpireCode=SMS_217436295
#\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSExamTaskOverdueCode=SMS_217426313
#\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uCD7D\uFFFD\uFFFD\u0524\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSAllocationWillExpireCode=SMS_217406305
#\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSAllocationOverdueCode=SMS_217406308
#\uFFFD\uFFFD\u02F4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSAuditCreatedCode=SMS_217436298
#\uFFFD\uFFFD\u02F4\uFFFD\uFFFD\uFFFD\uFFFD\u07B8\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSAuditReviewCode=SMS_217416269
#\uFFFD\uFFFD\u02F4\uFFFD\uFFFD\uCD7D\uFFFD\uFFFD\u0524\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSAuditWillExpireCode=SMS_217436302
#\uFFFD\uFFFD\u02F4\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\uFFFD\u0368\u05AA
sms.config.aliyunSMSAuditOverdueCode=SMS_217416271

yun.mark.url=https://www.markingcloud.com
yun.mark.studentScoreApi=/api/exam/student/score